Get all invoices
curl --request GET \
--url https://api.vantage.sh/v2/invoices \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.vantage.sh/v2/invoices"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.vantage.sh/v2/invoices', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"invoices": [
{
"token": "<string>",
"invoice_number": "<string>",
"total": "<string>",
"billing_period_start": "<string>",
"billing_period_end": "<string>",
"status": "<string>",
"created_at": "<string>",
"updated_at": "<string>",
"account_token": "<string>",
"account_name": "<string>",
"msp_account_token": "<string>"
}
],
"links": {
"self": "<string>",
"first": "<string>",
"next": "<string>",
"last": "<string>",
"prev": "<string>"
}
}Invoices
Get all invoices
Returns a list of invoices (MSP invoicing required).
GET
/
invoices
Get all invoices
Authorizations
The access token received from the authorization server in the OAuth 2.0 flow.
Query Parameters
The page of results to return.
The amount of results to return. The maximum is 1000.
Filter invoices by managed account token (MSP accounts only)
⌘I